// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

import React from 'react';

export function PKPMenuIcon(props: React.SVGProps<SVGSVGElement>) {
  return (
    <svg
      aria-hidden
      width="24"
      height="24"
      viewBox="0 0 24 24"
      fill="none"
      xmlns="http://www.w3.org/2000/svg"
      {...props}
    >
      <g id="icon-menu-Planungs und Kabinettmanagement">
        <g id="Frame 39">
          <g id="Group 38">
            <path
              id="Vector"
              d="M22.8618 4.82709L19.1085 1.14424C18.9125 0.951421 18.6087 0.951421 18.4127 1.14424C18.2167 1.33706 18.2167 1.63593 18.4127 1.82875L21.3428 4.7114H16.5115C13.6892 4.7114 11.3862 6.97702 11.3862 9.75362V15.2972C11.3862 15.5671 11.6018 15.7792 11.8762 15.7792C12.1506 15.7792 12.3662 15.5671 12.3662 15.2972V9.75362C12.3662 7.50728 14.2282 5.67549 16.5115 5.67549H21.3134L18.3833 8.55814C18.1873 8.75096 18.1873 9.04983 18.3833 9.24265C18.4813 9.33906 18.6087 9.38726 18.7263 9.38726C18.8439 9.38726 18.9811 9.33906 19.0693 9.24265L22.7932 5.57908C22.9108 5.49231 22.9892 5.35734 22.9892 5.20309C22.9892 5.07775 22.95 4.95242 22.852 4.85601L22.8618 4.82709Z"
              fill="white"
            />
            <path
              id="Vector_2"
              d="M22.5103 12.3953C22.2359 12.3953 22.0203 12.6074 22.0203 12.8774V18.7487C22.0791 20.5034 20.6777 21.9784 18.9138 22.0459H5.10586C3.3223 21.9881 1.92093 20.513 1.97973 18.7391V9.44518C1.92093 7.69053 3.3125 6.20582 5.08626 6.14797H7.42841C7.70281 6.14797 7.9184 5.93587 7.9184 5.66592C7.9184 5.39598 7.70281 5.18388 7.42841 5.18388H5.06666C2.74411 5.261 0.921353 7.1892 0.999752 9.45482V18.7101C0.921353 20.9951 2.75391 22.9232 5.08626 23.0004H18.9236C21.2461 22.9232 23.0787 20.9951 23.0003 18.7294V12.8774C23.0003 12.6074 22.7847 12.3953 22.5103 12.3953Z"
              fill="white"
            />
          </g>
        </g>
      </g>
    </svg>
  );
}
